<template>
  <div class="flex flex-col p-3 gap-3">
    Járatszám
    <InputText v-model="rent.jaratszam" :style="{'text-transform': 'uppercase'}" />
    <div class="text-center">
      <Button class="w-full mb-5" @click="next()">Tovább</Button>
      <NuxtLink @click="next(1)">Nem adok meg járatszámot</NuxtLink>

    </div>
  </div>
</template>

<script lang="ts" setup>
const {rent} = useAuthStore()
const router = useRouter()
definePageMeta({
  rentStep: 2.5,
  title:'Járatszám'
})

function next(clear: any = false){
  if(clear){
    rent.jaratszam = null
  }
  router.push({path:'/rent/date-to'})
}
</script>

<style>

</style>